---
published: false
---

# Interop
* [Prioritizing Individual Sovereignty over Interoperability](https://jolocom.io/blog/decentralized-identifiers-design-challenges/) Jolocom and Danube tech 
* [Trust over IP Foundation Introduces a New Tool for Interoperable Digital Trust](https://trustoverip.org/blog/2020/10/19/trust-over-ip-foundation-introduces-a-new-tool-for-interoperable-digital-trust/) 

* [Different approaches to Interoperability](https://www.evernym.com/blog/getting-to-practical-interop-with-verifiable-credentials/) by Daniel Hardman of Evernym
  > Several VC ecosystems have grown up around the VC spec. Each touts standards compliance and interoperability, yet they do not currently interoperate with one another. Let’s have a look at their differences and commonalities, and then explore a simple proposal that might make which language your VCs “speak” as transparent as which language you choose when you watch a movie.
* [DHS/SVIP Interoperability Plug-Fest 2 : Features Under Test ...](https://lists.w3.org/Archives/Public/public-credentials/2021Mar/0022.html) John, Anil

As you know, we had our first Interop plug-fest last year in May 2020, which was a heavy lift for our portfolio companies -- To be blunt, while there was a lot of hand-waving on interop, that was the first time anyone had demonstrated any manner of concrete cross-vendor / cross-platform interop in the VC/DID community.

This presentation on the DHS/SVIP Interop Plug-Fest is epic!

* [DHS/SVIP Interoperability Plug-Fest 2 // VC/DID/Blockchain Multi-Platform & Multi-Vendor Interoperability Showcase](https://lists.w3.org/Archives/Public/public-credentials/2021Mar/0101.html) Anil John
  > ([slides](https://docs.google.com/presentation/d/1MeeP7vDXb9CpSBfjTybYbo8qJfrrbrXCSJa0DklNe2k/edit%23slide%3Did.p1) Through the presentations and demos, we hope that you are able to gain an appreciation of the engineering depth, openness, inclusiveness and the multi-vendor, multi-platform interoperability that we demonstrated that is needed for these type of solutions to internet scale without locking anyone into a particular vendor or technology stack.

* [Interoperability is Not a Choice](https://medium.com/transmute-techtalk/interoperability-is-not-a-choice-387d57c6dc32) Transmute
  > [Interoperability](https://medium.com/transmute-techtalk/the-business-case-for-interoperability-a1a2b884297d) moves from theory to reality when companies have meaningful ability to choose. It is predicated on open standards foundations that enable easy movement of data and vendors.
  > 
  > Our team was proud to participate in the [US Department of Homeland Security Silicon Valley Innovation Program](https://www.dhs.gov/science-and-technology/svip) Interoperability Plug-fest this month. DHS SVIP has been leading the charge on interoperability for years now, putting their funding and networks on the table to lead the charge.

* [Transmute: Interoperability & Selective Disclosure in an Audit Authorization Scenario](https://www.youtube.com/watch?v%3DPodtjhO3vJo)

Proof of COVID Vaccination Credential

* [Transmute + DHS SVIP: Showing Interoperability in a Supply Chain Scenario](https://www.youtube.com/watch?v%3DfngwogLRUGk)

* [DHS SVIP PlugFest 2021 – Interop Testing Demo](https://www.youtube.com/watch?v%3DmXLy2Rof_iA) Mattr
  > As part of our deliverables for the U.S. Department of Homeland Security's Silicon Valley Innovation Program, we developed capabilities including a MATTR web wallet, CHAPI credential interactions, and direct interoperability with issuance and verification infrastructure built by other vendors. The results of this work are documented in our publicly available open-source test suite: [https://w3c-ccg.github.io/vc-http-api/test-suite/mattr/](https://w3c-ccg.github.io/vc-http-api/test-suite/mattr/)​

* [DHS SVIP PlugFest 2021 – USCIS Appointment Demo](https://www.youtube.com/watch?v%3DdgcKYam4MiQ) Mattr
  > We showcase our Mobile Wallet and OIDC Bridge Platform Extension in action, demonstrating how BBS+ signatures and selective disclosure can allow users to manage which data they are sharing with relying parties in a privacy-preserving way. This work leverages a newly created [Appointment vocabulary for JSON-LD](https://mattrglobal.github.io/appointment-vocab/)

* [DHS SVIP PlugFest 2021 – Paper & Digital Vaccination Credentials](https://www.youtube.com/watch?v%3DfEBNGj377Vc) Mattr
  > We showcase how both paper and digital credentials can be verified using the same infrastructure, allowing for easier relying-party integration. This work leverages CBOR-LD and a newly created [Vaccination Certificate vocabulary](https://w3c-ccg.github.io/vaccination-vocab/)

* [Three-Vendor Interop - DHS SVIP Showcase Day](https://www.youtube.com/watch?v%3DdreJIx0_esE) Danube Tech

* [Full Walkthrough DHS SVIP Showcase](https://www.youtube.com/watch?v%3D87B_OyqWzVE) Danube Tech

* [Virtual Credentials Journey 2](https://www.youtube.com/watch?v%3DAtCoavCFN1o) Danube Tech

* [Virtual Credentials Journey 3](https://www.youtube.com/watch?v%3DXYiqkMqCUnY) Danube Tech

* [Interoperability Fest – Oil & Gas](https://www.youtube.com/watch?v%3DKx49PklrHIY) Mavenet
* [Sphereon wins an EU eSSIF-Lab grant](https://sphereon.com/news-and-insights/sphereon-wins-an-eu-essif-lab-grant/)

We’re very pleased to announce that our proposal “Presentation Exchange – Credential Query Infra” has been selected as 1 of 7 out of 299 proposals to join the second Infrastructure-oriented program of the EU’s eSSIF-Lab.

We’ll be providing a Presentation Exchange that creates interoperability between W3C DIF-compliant Verifiable Credentials and Hyperledger Aries-based Verifiable Credentials for the European Blockchain Services Infrastructure (EBSI).
- [Digital Bazaar Interop 1B](https://www.youtube.com/watch?v%3D-sr-7E7q79E)
- [Digital Bazaar Interop 1A](https://www.youtube.com/watch?v%3Demu301gvMJE)
* [Setting Interoperability Targets Part 1 of 2](https://medium.com/decentralized-identity/setting-interoperability-targets-part-1-of-2-c6cbeaf82e98) Decentralized Identity Foundation

These will probably always differ and make a universal abstraction impossible; and that’s not a bad thing! These requirements are always going to be specific to each regulatory context, and without them, innovation (and large-scale investment) are endangered by regulatory uncertainty.
* [Setting Interoperability Targets Part 1 of 2](https://medium.com/decentralized-identity/setting-interoperability-targets-part-1-of-2-c6cbeaf82e98) DIF

The Interoperability working group will be tracking them and providing guidance and documentation where possible. Importantly, though, there is a new DIF Working Group coming soon, the Wallet Security WG, which will dive deeper into these profiles and requirements, benefiting from a narrow scope and IPR protection, allowing them to speak more bluntly about the above-mentioned details.

* [Setting Interoperability Targets Part 2 of 2](https://medium.com/decentralized-identity/setting-interoperability-targets-part-2-of-2-671f8faa8ecb) DIF

Having shown in our last piece how interoperability “profiles” are designed, we now tackle some key technical problem areas ripe for this kind of profile-first interoperability work across stacks.

* [Release of the Good Health Pass (GHP) Interoperability Blueprint](https://trustoverip.org/news/2021/08/12/release-of-the-good-health-pass-ghp-interoperability-blueprint/) TrustoverIP

After a public review period during June with stakeholders in air travel, government, healthcare, hospitality, and other affected sectors, the Blueprint was finalized in mid-July for final approval and publication. “Publication of the V1.0.0 Blueprint is just the first step in seeing interoperable privacy preserving digital health passes adopted in order to support people being able to gather together again with lower personal and public health risk,” said Kaliya Young, chair of the Working Group and Ecosystems Director at CCI. “Our next task is collaborating with real world implementers to fill in any remaining gaps to get to an interoperable system and working with LFPH and other partners to deliver open source code that can be deployed.”
* [SSI Interoperability Demo – NB Orbit Mobile Wallet, PwC, Copper Mountain & BC Mines](https://northernblock.io/ssi-interoperability-demo-nb-orbit-mobile-wallet-pwc-copper-mountain-bc-mines/) NorthernBlock ([Video](https://www.youtube.com/watch?v%3DWkPuEuf9K3Y)

In collaboration with the BC Mines Trust Ecosystem, we demonstrate interoperability between organizations using the BC Gov Business Partner Agent and the NB Orbit Mobile Wallet for managing sustainable mining practices.

* [DHS SVIP Demo Week Day 2 Blockchain & DLT September 15, 2021](https://vimeo.com/showcase/8833272)

* [Setting Interoperability Targets Part 2 of 2](https://blog.identity.foundation/setting-interoperability-targets-2/) Decentralized Identity Foundation

Having shown in our last piece how interoperability "profiles" are designed, we now tackle some key technical problem areas ripe for this kind of profile-first interoperability work across stacks.

* [Decentralzied Mapping Initiative](https://whimsical.com/decentralized-mapping-exercise-CUhk3dT4RUZvGa4Lt7rNvD) – DIF Interop WG

* [Transatlantic SSI Interop](https://medium.com/@markus.sabadello/transatlantic-ssi-interop-52bac6be8dfe) Markus Sabadello

The "Transatlantic SSI Interop" experiment was successfully conducted to demonstrate interoperability between the EU EBSI Diploma use case, and the US SVIP Permanent Resident Card use case. This was jointly planned and executed by EU partner Danube Tech and US partner Digital Bazaar.
* [Evernym Joins with Other Solution Providers to Achieve Interoperability Milestone](https://www.evernym.com/blog/evernym-joins-with-other-solution-providers-to-achieve-interoperability-milestone/)

* [Evernym’s Verity](https://www.evernym.com/products/%23verity) issuing to:

- [Trinsic Wallet](https://trinsic.id/trinsic-wallet/)
- [IBM Verify App](http://doc.ibmsecurity.verify-creds.com/whats_new/)
- [Lissi by Main Incubator](https://play.google.com/store/apps/details?id%3Dio.lissi.mobile)
- [esatus Wallet](https://self-ssi.com/en/%23walletc)

Evernym’s [Connect.Me](https://www.evernym.com/products/%23connectme) holding credentials issued from or proving to:

- [Aries Cloud Agent Python](https://github.com/hyperledger/aries-cloudagent-python)
- [Trinsic](https://trinsic.id/powerful-apis/)
- [IBM Security Verify](http://doc.ibmsecurity.verify-creds.com/whats_new/)
- [idRamp Passport](https://play.google.com/store/apps/details?id%3Dcom.idramp.passport%26hl%3Den_US)
- [esatus SeLF](https://self-ssi.com/en)

* [SSI Interop Video](https://youtu.be/1t9m-U-3lMk) NGIatlantic.eu

Results from an interoperability project in the are of Decentralized Identity, conducted by EU company Danube Tech and US company Digital Bazaar.
* [Bob Blakely shared his reflections on SAML interop work](https://us02web.zoom.us/rec/play/xnxk16ksNsA9CP4UgR9BqylnH6qT1WZlSpFc9LOweFI7HZNcn8KR3A-0OsUDbPuNM6o0tt1JrSMqGV4Z.dnAMXXLE5-62VAfX?continueMode%3Dtrue%26_x_zm_rtaid%3DQs7tORTgRhmEiSBbcDzQLg.1645215091973.9fac74d22719638c1d1b641c83b0f5c7%26_x_zm_rhtaid%3D448) DIF Interop WG

* [Trust, Verifiable Credentials, and Interoperability](https://indicio.tech/trust-verifiable-credentials-and-interoperability/) Helen Garneau, Indicio

Accurate labeling, interoperability profiles, and testing are urgently needed to drive interoperability and scale decentralized identity, says a new [white paper](https://indicio.tech/wp-content/uploads/2022/03/Indicio_Report_TrustVerifiableCredentialsInteroperability_033022.pdf) from Indicio

Seven aspects of interoperability

1. DID methods

2. Content encryption key types

3. Communication protocols

4. Credential format and signature types

5. Credential access / storage (wallet)

6. Credential protocols and coordination formats

7. Compatible governance / trust

* [4 Keys to Self-sovereign Identity Adoption](https://medium.com/trinsic/4-keys-to-self-sovereign-identity-adoption-ad269b208569) Trinsic

Many implementers won’t realize the potential of SSI until it’s deployed at scale, but in order to get to scale, we need implementers to realize value. It’s the classic chicken & egg problem.


* [Interoperability Plugfest #1](https://w3c-ccg.github.io/vc-ed/plugfest-1-2022/) JFF & VC-EDU

Resources

- [Kick-off Meeting Deck](https://docs.google.com/presentation/d/1YoS3est-YnWO1tI7JjJDjSPSnIXJNon_TFosKyneaJg/edit?usp%3Dsharing)
- [VC Implementation Guide](https://www.w3.org/TR/vc-imp-guide/)
- [Plugfest Open Badges v3 context](https://w3c-ccg.github.io/vc-ed/plugfest-1-2022/jff-vc-edu-plugfest-1-context.json)
- [Open Badges 3.0](https://imsglobal.github.io/openbadges-specification/ob_v3p0.html)
- [Universal Wallet](https://w3c-ccg.github.io/universal-wallet-interop-spec/)
- [DCC Learner Credential Wallet](https://github.com/digitalcredentials/learner-credential-wallet)
- [DCC Repository](https://github.com/digitalcredentials)
- [DCC Open Badges 3.0 Context NPM Module](https://github.com/digitalcredentials/open-badges-context)
- [DID Actor](https://api.did.actor/)
- [Hosted platform to resolve and manage DIDs](https://godiddy.com/)
- [DID DIF Universal Resolver](https://dev.uniresolver.io/)

* [The Cardea Interop-a-thon Returns—and Here’s Why You Should Participate!](https://indicio.tech/the-cardea-interop-a-thon-returns-and-heres-why-you-should-participate/) Indicio

The [Cardea Community](https://cardea.app/) at Linux Foundation Public Health is pleased to announce the third Interop-a-thon on June 16, between 8:00am and 12:00pm MST (UTC-7:00). Anyone building a Hyperledger Aries compatible product or system can sign up [here](https://forms.gle/CQLRFRr4NexLoCf36).


JFF PlugFest

* [Identiproof demonstrates early commitment to Open Badges V3](https://www.crosswordcybersecurity.com/post/identiproof-demonstrates-early-commitment-to-open-badges-v3) Crossworld Cybersecurity

It does this through selective disclosure, whereby the recipient requests the minimum of information in conformance with GDPR. Identiproof is one of the first systems built to the 2019 W3C recommendations: The Verifiable Credentials Data Model and Web Authentication (FIDO2) - two new global web security standards.

EU-Interop

* [EBSI European Blockchain Demo Day 31 May 2022](https://www.validatedid.com/post-en/ebsi-european-blockchain-demo-day-31-may-2022)

The European Commission and the European Blockchain Partnership are laying the foundations to implement it in the different EU member states, both in the public and private sectors, launching the European Blockchain Services Infrastructure (EBSI) network, with the aim of 'leveraging blockchain to accelerate the creation of cross-border services for public administrations and their ecosystems

* [EBSI Demo Day May 31, 2022 - The Multi University Pilot and Demos 1 - 2 - 3](https://www.youtube.com/watch?v%3D54WrOZ2IEZE)

* [00:00](https://www.youtube.com/watch?v%3D54WrOZ2IEZE%26t%3D0s) The Early Adopters programmme and the Multi-University pilot

* [11:01](https://www.youtube.com/watch?v%3D54WrOZ2IEZE%26t%3D661s) Demo 1: A student gets a diploma with a list of course units validated from Erasmus

* [42:22](https://www.youtube.com/watch?v%3D54WrOZ2IEZE%26t%3D2542s) Demo 2: A student applies for a PhD with a Bachelor/Master degree from a foreign country

* [01:04:16](https://www.youtube.com/watch?v%3D54WrOZ2IEZE%26t%3D3856s) Demo 3: A student gets access to local discounts using municipality credential based on a European student card

* [Our Interoperability Work in the Decentralized Identity Foundation](https://developer.tbd.website/blog/our-interop-work-in-dif/) TBD

More details about the Conformance Test Suite that was developed by members of DIF and our interoperability test reports can be found here:

- [TBD’s test results of JWS Test Suite](https://identity.foundation/JWS-Test-Suite/%23tbd)
- [Spruce’s test results of JWS Test Suite](https://identity.foundation/JWS-Test-Suite/%23spruce)

At TBD, we support open standards wherever appropriate, and all of our projects are open source.

* [Spruce and TBD Demonstrate Decentralized Identity Interoperability](https://blog.spruceid.com/spruce-and-tbd-demonstrate-decentralized-identity-interoperability/) SpruceID

Spruce and TBD are the first two organizations to demonstrate support for all [five JWS algorithms](https://w3id.org/security/suites/jws-2020%23jose-conformance) for [JsonWebSignature2020](https://w3c-ccg.github.io/lds-jws2020/) (Data Integrity Proofs) and JWTs, for VCs and [W3C Verifiable Presentations](https://www.w3.org/TR/vc-data-model/%23presentations-0), which is a major step toward vendor interoperability.

* [Dynamic Data Economy Presented to Technology Consortium in India](https://humancolossus.foundation/blog/dde-amp-hasgeek) HumanCollosus Foundation

The "Data Governance and Semantics" project featured three webinars introducing DDE as a decentralised trust infrastructure acutely aligned with the current movement toward data exchange models in the Economic domain where actors regain transactional sovereignty to share accurate information bilaterally.

* [Spruce and TBD Demonstrate Decentralized Identity Interoperability](https://blog.spruceid.com/spruce-and-tbd-demonstrate-decentralized-identity-interoperability/)

Spruce and TBD are the first two organizations to demonstrate support for all [five JWS algorithms](https://w3id.org/security/suites/jws-2020%23jose-conformance) for [JsonWebSignature2020](https://w3c-ccg.github.io/lds-jws2020/) (Data Integrity Proofs) and JWTs, for VCs and [W3C Verifiable Presentations](https://www.w3.org/TR/vc-data-model/%23presentations-0) (VPs), which is a major step toward vendor interoperability.

More details about the Conformance Test Suite which was developed by members of the [Decentralized Identity Foundation](https://identity.foundation/) and the interoperability test reports can be found here:

- [TBD’s test results of JWS Test Suite](https://identity.foundation/JWS-Test-Suite/%23tbd)
- [Spruce’s test results of JWS Test Suite](https://identity.foundation/JWS-Test-Suite/%23spruce)

* [SSI Report - Interoperability](https://www.youtube.com/watch?v%3DezInITzb9p4) RootsID

Interoperability is the ultimate challenge of a Decentralized Self-Sovereign Identity. Hyperledger Aries is hosting an Interopathon to showcase all the work their community has done to promote Interoperability. We have also started discussions about a standard import/export format that would further improve interop across identity agents.

* [Validated ID is set to complete the S4EDI20 interoperability tests](https://www.validatedid.com/post-en/validated-id-is-set-to-complete-the-as4edi20-interoperability-tests)

This represents the last phase of the AS4EDI20 project to implement the CEF eDelivery AS4 profile in Europe. This project is co-financed by the European Commission through the CEF Telecom program and managed by HaDEA, with action number 2020-EU-IA-0024.

* [DIF Interoperability Survey](https://docs.google.com/forms/d/e/1FAIpQLSfbFh4DQeyI0msXsWvfpbrtYEfgQrGRD7tw4d2Rg0NEyhvcKQ/viewform)

We are keen to support more interoperability activity and hopefully testing this fall and winter. In order to do this we would like to gather feedback from the community as to where we are at so we can assess how to move forward.

Please Note: Information on this survey will be shared with the chairs of the DIF Interop Group

* [A pilot project for interoperable decentralised identity between Aigües de Barcelona, CaixaBank and Validated ID](https://www.validatedid.com/post-en/open-innovation-project-for-the-collaboration-between-large-companies-and-emerging-companies) Validated ID

The lines of action of the laboratory are framed in six blocks: resilient water resources, the impact of global change; efficient infrastructure management; the environment and health; water and energy; and water demand management. The projects developed contribute to the achievement of one or more Sustainable Development Goals, putting the citizen at the center of digital transformation and advocating a perspective on technological humanism.
